Mailinglist Archive: opensuse-buildservice (193 mails)

< Previous Next >
Re: [opensuse-buildservice] zope project
  • From: Joachim Werner <joe@xxxxxxx>
  • Date: Fri, 20 Apr 2007 16:18:38 +0200
  • Message-id: <200704201618.38412.joe@xxxxxxx>
On Mittwoch, 18. April 2007, Martin Kudlvasr wrote:
> Hi,
>
> some time ago zope stopped working with recent python (2.5 currently)
> and is stuck with python-2.4 . If you want to know more about this
> problem, please read bug #221256 .
>
> To solve this, I've created zope packages that can live with python-2.5
> installed. It'd be fine to have a project for them:
>
>    python-2.4          - modified, so that it does not collide with
>
>                          python (currently 2.5)
>    zope-python-2.4     - zope that explicitely uses python-2.4
>    zope3-python-2.4    - zope3 that explicitely uses python-2.4
>
> I suggest a name "zope" for the project since this is purely zope issue.
> I don't know of any other python program which has stopped working on
> python-2.5.
>
> Thanks for your suggestions,

I've just double-checked: While Zope 2.8.9 (latest from 2007-03-25) does work 
with Python 2.4, the supported Python version is 2.3.5. If we have to ship it 
with its own Python, shouldn't we use the supported one, not the last one 
known to not cause major problems?

OTOH as Zope3 explicitly needs a Python 2.4.4 we'd need to separate the two. 
So maybe the Python 2.4.x choice is an acceptable compromise ...

BTW, do we have any feedback from the Zope community if they want to get rid 
of this problem any time soon? I'm a big Zope fan in general, but this 
requiring a certain Python version really causes more problems that it 
should.

Cheers

Joachim


-- 
Joachim Werner <joe@xxxxxxx>
Senior Product Manager Outbound EMEA
--
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nürnberg)
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References